Problem by using dcldbxida140-package in own packages

Problem by using dcldbxida140-package in own packages

Postby normancz » Tue 18 Oct 2011 08:35

Hi,
I'm using the DbxIda 3.0 Driver with Delphi 2010 and can't use the DBXDevartInterBase Unit in my own packages.

When I include the DBXDevartInterBase unit in the source of my package, Delphi wants to add the dcldbxida140-package into the requires. But then it can't find this package. I think it needs a dcldbxida140.dcp file.

When I ignore the required-warning, I could compile the Package but on the next Delphi start it could not load my package because it use the same DBXDevartInterBase unit as the dcldbxida140-package.

My Workaround: remove the dcldbxida140-package
normancz
 
Posts: 5
Joined: Tue 28 Apr 2009 07:31

Postby Dimon » Thu 20 Oct 2011 15:32

To solve the problem, add the %dbExpress_driver_for_SQL_Server_Install_Dir%\Source directory to the Library Path of your IDE.
Dimon
Devart Team
 
Posts: 2885
Joined: Mon 05 Mar 2007 16:32

Postby Dimon » Thu 20 Oct 2011 15:33

Also this problem was discussed in the following topic:
http://www.devart.com/forums/viewtopic.php?t=21583
Dimon
Devart Team
 
Posts: 2885
Joined: Mon 05 Mar 2007 16:32


Return to dbExpress driver for InterBase & Firebird